Bug 1773145 - spatialite-tools build is out-of-date
Summary: spatialite-tools build is out-of-date
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spatialite-tools
Version: 31
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Petr Kubat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-16 01:32 UTC by Zirneklitis
Modified: 2019-11-28 01:10 UTC (History)
3 users (show)

Fixed In Version: spatialite-tools-4.3.0-39.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:10:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Zirneklitis 2019-11-16 01:32:32 UTC
Description of problem:
spatialite-tools  4.3.0-38.fc31 is not compatible with the latest sqlite build (3.30.0-1.fc31)

Version-Release number of selected component (if applicable):
4.3.0-38.fc31

How reproducible:
Allways

Steps to Reproduce:
1.dnf install sglite
2.dnf install spatialite-tools

Actual results:

Downgrading:
 sqlite x86_64 3.29.0-2.fc31
 sqlite-devel x86_64 3.29.0-2.fc3
 sqlite-libs x86_64 3.29.0-2.fc31

Expected results:
 Install spatialite-tools without downgrading sqlite

Additional info:
 The line
  %global sqlitever 3.29.0
 in spatialite-tools.spec file should be changed.

Comment 2 Fedora Update System 2019-11-19 11:01:16 UTC
FEDORA-2019-cd5ad1c547 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd5ad1c547

Comment 3 Fedora Update System 2019-11-20 01:27:53 UTC
spatialite-tools-4.3.0-39.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cd5ad1c547

Comment 4 Fedora Update System 2019-11-28 01:10:34 UTC
spatialite-tools-4.3.0-39.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.